/* ray tracing template */

#include "rtdummy.h"
#include "options.h"
#include "render.h"

static void Defaults(void)
{
}

static void ParseRTOptions(int *argc, char **argv)
{
}

static void PrintRTOptions(FILE *fp)
{
}

static void Initialize(void)
{
}

static void RayCast(ImageOutputHandle *ip)
{
}

/* returns FALSE if there is no previous image and TRUE if there is */
static int Redisplay(void)
{
  return TRUE;
}

/* returns FALSE if there is no previous image and TRUE if there is */
static int SaveImage(ImageOutputHandle *ip)
{
  return TRUE;
}

static void Interrupt(void)
{
}

static void Terminate(void)
{
}

/* user interface stuff: */
static void CreateControlPanel(void *parent_widget)
{
}

static void ShowControlPanel(void)
{
}

static void HideControlPanel(void)
{
}

RAYTRACINGMETHOD rtdummy = {
  "RTDummy", 4,
  "Ray Tracing Template",
  "rtdummyButton",
  Defaults,
  CreateControlPanel,
  ParseRTOptions,
  PrintRTOptions,
  Initialize,
  RayCast,
  Redisplay,
  SaveImage,
  Interrupt,
  ShowControlPanel,
  HideControlPanel,
  Terminate
};

